Name:           esh
Version:        0.1.0
Release:        1%{?dist}
Summary:        Simple templating engine based on shell

License:        MIT
URL:            https://github.com/jirutka/esh
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  %{_bindir}/asciidoctor

Requires:       %{_bindir}/awk
Requires:       %{_bindir}/sed

%description
esh (embedded shell) is a templating engine for evaluating shell commands
embedded in arbitrary templates. It’s like ERB (Embedded RuBy) for shell,
intended to be used for templating configuration files.

%prep
%autosetup


%build
make %{?_smp_mflags}


%install
make install prefix=%{_prefix} DESTDIR=%{buildroot}


%check
make test

%files
%license LICENSE
%doc README*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Nov 18 2017 Miro Hrončok <mhroncok@redhat.com> - 0.1.0-1
- New package

